using PageAdmin.BLL;using PageAdmin.Filter;
using PageAdmin.Common;
using System;
using System.Data;
using System.Web.Mvc;

namespace PageAdmin.Web.Areas.Admin.Controllers
{
    public class ClassifyController:DefaultBaseController
    {
        public ClassifyController():base("pa_classify", "Common/")
        {
            base.MvcContext.ListOrder = "xuhao asc";
            base.ListDataExecuting = new Action(CheckTable);
            base.IndexViewExecuting = new Action(CheckTable);
            base.AddViewExecuting= new Action(CheckTable);
        }

        private void CheckTable()
        {
            string table = System.Web.HttpContext.Current.Request.QueryString["table"];
            if(!StringHelper.IsStr(table))
            {
                throw new Exception("无效的table参数！");
            }
            else
            { 

            }

        }
    }
}